comment
{
  getunit
  {
	curunit=0;
  }
  tmpstrindex=1;
  dialogue
  {
	talk="！？，我在“%s”遭遇突发状况~~!";
	talkid=0;
  }
}

comment
{
  screen
  {
	mode=0;
	color=0;
	dstframe=0xff;
	speed=15;
  }
}

comment
{
  function
  {
	func_call="BeginFight()";
	threadLV=2;
  }
}

comment
{
  GameSystemMode="B101",1;
  function
  {
	func_call="PlaySceneBGM()";
  }
}

comment
{
  getunit
  {
	id=0;
  }
  unitctrl
  {
	setpt=508,30,211;
	gotopt=638,0,1754;
	swing=1;
	moving=1;
  }
  camera
  {
	lookpt=0,130,0,1;
	roll=0.3;
	yaw=0,1.5,0.0005;
	distance=-500;
	swing=1;
  }
}

comment
{
  getunit
  {
	id=2;
  }
  unitctrl
  {
	setpt=921,30,1901;
	lookpt=889,0,1820;
	swing=1;
	setST=0x2000,10;
  }
}

comment
{
  getunit
  {
	id=1;
  }
  unitctrl
  {
	setpt=46,30,3139;
	gotopt=15,0,750;
	swing=1;
	moving=1;
  }
}

comment
{
  function
  {
	func_call="MadeThing(苹果,911,100,2065)";
  }
}

comment
{
  function
  {
	func_call="MadeThing(苹果,836,100,2090)";
  }
}

comment
{
  function
  {
	func_call="MadeThing(西瓜,956,100,2048)";
  }
}

comment
{
  function
  {
	func_call="MadeThing(西瓜,863,100,2050)";
  }
}

comment
{
  function
  {
	func_call="MadeThing(西瓜,1005,100,2030)";
  }
}

comment
{
  function
  {
	func_call="MadeThing(西瓜,904,100,2017)";
  }
}

comment
{
  function
  {
	func_call="MadeThing(烤肉,449,100,2206)";
  }
}

comment
{
  function
  {
	func_call="MadeThing(烤肉,371,100,2203)";
  }
}

comment
{
  screen
  {
	dstframe=0;
	speed=5;
  }
}

comment
{
  getunit
  {
	id=0;
  }
  WaitActionDone=1;
}

comment
{
  getunit
  {
	id=2;
  }
  unitctrl
  {
	setST=0x2000,0;
  }
}

comment
{
  unitctrl
  {
	setST=0x200000,1;
  }
  wait=0.5;
}

comment
{
  dialogue
  {
	talk="欢迎光临！！";
	lifetime=3;
  }
  unitctrl
  {
	lookpt=574,0,1719;
  }
}

comment
{
  unitctrl
  {
	setST=0x10000,2;
  }
  wait=2;
}

comment
{
  getunit
  {
	id=0;
  }
  unitctrl
  {
	lookpt=950,0,1960;
  }
  camera
  {
	lookpt=752,130,1807;
	swing=1;
  }
}

comment
{
  getunit
  {
	id=2;
  }
  dialogue
  {
	talk="我们正在搞食品促销大优惠~！！";
  }
  wait=3;
}

comment
{
  dialogue
  {
	talk="10个苹果只要50块钱。";
  }
  wait=3;
}

comment
{
  dialogue
  {
	talk="10个西瓜只要100块钱。";
  }
  wait=3;
}

comment
{
  dialogue
  {
	talk="10块儿烤肉也只卖500块钱。";
  }
  wait=3;
}

comment
{
  getunit
  {
	id=0;
  }
  dialogue
  {
	talk="… …";
	conditional="买苹果",
				"买西瓜",
				"买烤肉",
				"不买";
	cond_goto="","XIGUA","KAOROU","NOBUY";
	lifetime=3;
  }
}

comment
{
  getunit
  {
	id=0;
  }
  dialogue
  {
	talk="那么给我来10个苹果~！";
	lifetime=3;
  }
  wait=3;
}

comment
{
  getunit
  {
	id=2;
  }
  dialogue
  {
	talk="一共是50块钱~！";
	lifetime=3;
  }
  wait=3;
}

comment
{
  getunit
  {
	id=0;
  }
}

comment
{
  happenGoto
  {
	money=50;
	goto="NOMONEY";
  }
}

comment
{
  msglist
  {
	strings="花了50块钱，买了10个苹果。";
	color=0xffffffff,0xffffffff,0xff00ff00,0xff00ff00;
	outlinecolor=0x77ff0000;
	waittime=5;
	type=1;
	fontID=2;
  }
  sound
  {
	file="DATA\World\Menu$2\buy.wav";
  }
  function
  {
	func_call="AddItemToTeam(苹果,10)";
  }
}

comment
{
  function
  {
	func_call="AddMoneyToTeam(-50)";
  }
}

comment
{
  getunit
  {
	id=2;
  }
  dialogue
  {
	talk="谢谢惠顾~！";
	lifetime=3;
  }
  unitctrl
  {
	setST=0x10000,2;
  }
  wait=3;
}

comment
{
  goto="GOEXIT";
}

#BOOKMARK_XIGUA://———————————————————————————————————

comment
{
  getunit
  {
	id=0;
  }
  dialogue
  {
	talk="那么，我要10个西瓜~！";
	lifetime=3;
  }
  wait=3;
}

comment
{
  getunit
  {
	id=2;
  }
  dialogue
  {
	talk="一共是100块钱~！";
	lifetime=3;
  }
  wait=3;
}

comment
{
  getunit
  {
	id=0;
  }
}

comment
{
  happenGoto
  {
	money=100;
	goto="NOMONEY";
  }
}

comment
{
  msglist
  {
	strings="花了100块钱，买了10个西瓜。";
	color=0xffffffff,0xffffffff,0xff00ff00,0xff00ff00;
	outlinecolor=0x77ff0000;
	waittime=5;
	type=1;
	fontID=2;
  }
  sound
  {
	file="DATA\World\Menu$2\buy.wav";
  }
  function
  {
	func_call="AddItemToTeam(西瓜,10)";
  }
}

comment
{
  function
  {
	func_call="AddMoneyToTeam(-100)";
  }
}

comment
{
  getunit
  {
	id=2;
  }
  dialogue
  {
	talk="谢谢惠顾~！";
	lifetime=3;
  }
  unitctrl
  {
	setST=0x10000,2;
  }
  wait=3;
}

comment
{
  goto="GOEXIT";
}

#BOOKMARK_KAOROU://———————————————————————————————————

comment
{
  getunit
  {
	id=0;
  }
  dialogue
  {
	talk="我要10大块儿烤肉~！";
	lifetime=3;
  }
  wait=3;
}

comment
{
  getunit
  {
	id=2;
  }
  dialogue
  {
	talk="一共是500块钱~！";
	lifetime=3;
  }
  wait=3;
}

comment
{
  getunit
  {
	id=0;
  }
}

comment
{
  happenGoto
  {
	money=500;
	goto="NOMONEY";
  }
}

comment
{
  msglist
  {
	strings="花了500块钱，买了10块烤肉。";
	color=0xffffffff,0xffffffff,0xff00ff00,0xff00ff00;
	outlinecolor=0x77ff0000;
	waittime=5;
	type=1;
	fontID=2;
  }
  sound
  {
	file="DATA\World\Menu$2\buy.wav";
  }
  function
  {
	func_call="AddItemToTeam(烤肉,10)";
  }
}

comment
{
  function
  {
	func_call="AddMoneyToTeam(-500)";
  }
}

comment
{
  getunit
  {
	id=2;
  }
  dialogue
  {
	talk="谢谢惠顾~！";
	lifetime=3;
  }
  unitctrl
  {
	setST=0x10000,2;
  }
  wait=3;
}

comment
{
  goto="GOEXIT";
}

#BOOKMARK_NOBUY://———————————————————————————————————
comment
{
  getunit
  {
	id=2;
  }
  unitctrl
  {
	setST=0x2000000,10;
  }
}

comment
{
  goto="GOEXIT";
}

#BOOKMARK_NOMONEY://———————————————————————————————————
comment
{
  getunit
  {
	id=1;
  }
  unitctrl
  {
	setpt=534,30,1472;
	gotopt=792,30,1651;
	swing=1;
	moving=1;
  }
}

comment
{
  getunit
  {
	id=0;
  }
  dialogue
  {
	talk="呀！我的钱好象不够啊~！";
	lifetime=3;
  }
  wait=2;
  unitctrl
  {
	setST=0x1000000,5;
  }
}

comment
{
  getunit
  {
	id=2;
  }
  unitctrl
  {
	setST=0x800000,5;
  }
  wait=3;
}

comment
{
  getunit
  {
	id=0;
  }
  dialogue
  {
	talk="抱歉！我不买了。";
	lifetime=3;
  }
  wait=1;
}

comment
{
  getunit
  {
	id=2;
  }
  unitctrl
  {
	setST=0x2000000,10;
  }
  wait=1;
}

comment
{
  goto="GOEXIT";
}

#BOOKMARK_GOEXIT://———————————————————————————————————
comment
{
  getunit
  {
	id=0;
  }
  dialogue
  {
  }
}

comment
{
  unitctrl
  {
	gotopt=30,30,1716;
	moving=1;
  }
  camera
  {
	lookpt=0,130,0,1;
	yaw="",0,0.003;
	swing=1;
  }
}

comment
{
  unitctrl
  {
	gotopt=30,30,3262;
	swing=1;
	moving=1;
  }
  wait=3;
}

comment
{
  screen
  {
	mode=0;
	color=0;
	dstframe=0xff;
	speed=5;
  }
  bgcolor=0;
}

comment
{
  function
  {
	func_call="StartWorldMap()";
	threadLV=2;
  } 
}

comment
{
  screen
  {
	dstframe=0;
	speed=15;
  }
}

comment
{
  function
  {
	func_call="PlaySceneBGM()";
  }
  return;
}
